package com.bocloud.ims.common.enums;

/**
 * 深信服6.8虚拟机磁盘预分配方式
 *
 * @author sxp
 * @since 2023/5/27
 */
public enum DiskPreallocateType {
    off("精简分配"),
    full("预分配"),
    metadata("动态分配");


    private String desc;

    DiskPreallocateType(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static void main(String[] args) {
        System.out.println(DiskPreallocateType.valueOf("off").getDesc());
    }
}
